Package org.eclipse.net4j.db.ddl

# Interface IDBSchemaVisitor

All Known Implementing Classes:
  `IDBSchemaVisitor.Default`

public interface IDBSchemaVisitor

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`IDBSchemaVisitor.Default`
`static final class`
`IDBSchemaVisitor.StopRecursion`

## Method Summary

Modifier and Type
Method
Description
`void`
`visit(IDBField field)`
`void`
`visit(IDBIndex index)`
`void`
`visit(IDBIndexField indexField)`
`void`
`visit(IDBSchema schema)`
`void`
`visit(IDBTable table)`

## Method Details

### visit

void visit(IDBSchema schema)

### visit

void visit(IDBTable table)

### visit

void visit(IDBField field)

### visit

void visit(IDBIndex index)

### visit

void visit(IDBIndexField indexField)